> ## Documentation Index
> Fetch the complete documentation index at: https://docs.parcha.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Start a Persona KYB job



## OpenAPI

````yaml api-reference/openapi.yaml post /startPersonaKYBJob
openapi: 3.0.0
info:
  title: Parcha API
  version: 1.0.0
  description: API for managing Parcha jobs and checks
servers:
  - url: https://api.parcha.ai/api/v1
    description: Agent Hub API server
  - url: https://demo.parcha.ai/api/v1
    description: Sandbox API server
  - url: https://us1.parcha.ai/api/v1
    description: Legacy API server
  - url: http://{your-company-domain}.parcha.ai/api/v1
    description: Custom Enterpris server (your company's API server)
security:
  - bearerAuth: []
paths:
  /startPersonaKYBJob:
    post:
      summary: Start a Persona KYB job
      parameters:
        - name: account_id
          in: query
          required: true
          schema:
            type: string
        - name: agent_key
          in: query
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - kyb_schema
              properties:
                kyb_schema:
                  $ref: '#/components/schemas/ParchaKYBSchema'
      responses:
        '200':
          description: Job started successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JobIdResponse'
        '404':
          description: KYB schema not found
        '500':
          description: Internal server error
      security:
        - bearerAuth: []
components:
  schemas:
    ParchaKYBSchema:
      type: object
      required:
        - id
      properties:
        id:
          type: string
          description: A unique id specific to the account being analyzed
        self_attested_data:
          $ref: '#/components/schemas/SelfAttestedData'
        external_validation_data:
          type: object
          description: External validation data for the business
        research_data:
          type: object
          description: Web research data for the business
        associated_individuals:
          type: array
          items:
            $ref: '#/components/schemas/ParchaKYCSchema'
          description: List of associated individuals
        associated_entities:
          type: array
          items:
            type: object
            properties:
              self_attested_data:
                type: object
                properties:
                  business_name:
                    type: string
                  business_ownership_percentage:
                    type: number
                  is_business_owner:
                    type: boolean
          description: List of associated entities
    JobIdResponse:
      type: object
      properties:
        status:
          type: string
          enum:
            - ok
            - failed
            - mock_success
        job_id:
          type: string
          nullable: true
        message:
          type: string
        job:
          type: object
          nullable: true
    SelfAttestedData:
      type: object
      properties:
        business_name:
          type: string
          description: The name of the business
          maxLength: 64
        registered_business_name:
          type: string
          description: The registered name of the business
          maxLength: 64
        address_of_incorporation:
          $ref: '#/components/schemas/Address'
        address_of_operation:
          $ref: '#/components/schemas/Address'
        website:
          type: string
          description: The business website URL
        business_purpose:
          type: string
          description: The purpose of the business
        description:
          type: string
          description: Business description
          maxLength: 512
        industry:
          type: string
          description: The industry the business operates in
        tin_number:
          type: string
          description: Tax Identification Number
        incorporation_date:
          type: string
          format: date
          description: Date of incorporation
        partners:
          type: array
          items:
            type: string
          description: List of business partners
        customers:
          type: array
          items:
            type: string
          description: List of customers
        source_of_funds:
          type: array
          items:
            type: string
          description: List of funding sources
        incorporation_documents:
          type: array
          items:
            type: object
            properties:
              b64_document:
                type: string
                description: Base64 encoded document content
              file_name:
                type: string
                description: Name of the document file
              source_type:
                type: string
                description: Source type of the document
        business_ownership_documents:
          type: array
          items:
            type: object
            properties:
              b64_document:
                type: string
                description: Base64 encoded document content
              file_name:
                type: string
                description: Name of the document file
              source_type:
                type: string
                description: Source type of the document
        proof_of_address_documents:
          type: array
          items:
            type: object
            properties:
              b64_document:
                type: string
                description: Base64 encoded document content
              file_name:
                type: string
                description: Name of the document file
              source_type:
                type: string
                description: Source type of the document
        source_of_funds_documents:
          type: array
          items:
            type: object
            properties:
              b64_document:
                type: string
                description: Base64 encoded document content
              file_name:
                type: string
                description: Name of the document file
              source_type:
                type: string
                description: Source type of the document
        ein_documents:
          type: array
          items:
            type: object
            properties:
              b64_document:
                type: string
                description: Base64 encoded document content
              file_name:
                type: string
                description: Name of the document file
              source_type:
                type: string
                description: Source type of the document
        cannabis_license_documents:
          type: array
          items:
            type: object
            properties:
              b64_document:
                type: string
                description: Base64 encoded document content
              file_name:
                type: string
                description: Name of the document file
              source_type:
                type: string
                description: Source type of the document
    ParchaKYCSchema:
      type: object
      required:
        - id
      properties:
        id:
          type: string
          description: A unique id specific to the account being analyzed
        self_attested_data:
          $ref: '#/components/schemas/KYCSelfAttestedData'
    Address:
      type: object
      properties:
        street_1:
          type: string
          description: Primary street address line
        street_2:
          type: string
          description: Secondary street address line (optional)
        city:
          type: string
          description: City name
        state:
          type: string
          description: State/province code
        country_code:
          type: string
          description: Two-letter ISO country code (e.g., "US", "GB")
        postal_code:
          type: string
          description: Postal/ZIP code
    KYCSelfAttestedData:
      type: object
      properties:
        first_name:
          type: string
          description: The first name of the individual
        middle_name:
          type: string
          description: The middle name of the individual
        last_name:
          type: string
          description: The last name of the individual
        name_prefix:
          type: string
          description: The prefix of the individual
        name_suffix:
          type: string
          description: The suffix of the individual
        date_of_birth:
          type: string
          format: date
          description: The date of birth of the individual, format YYYY-MM-DD
        address:
          $ref: '#/components/schemas/Address'
        associated_addresses:
          type: array
          items:
            $ref: '#/components/schemas/Address'
          description: The associated addresses of the individual
        country_of_nationality:
          type: string
          description: The country of nationality of the individual
        country_of_residence:
          type: string
          description: The country of residence of the individual
        place_of_birth:
          type: string
          description: The place of birth of the individual
        sex:
          type: string
          description: The sex of the individual
        email:
          type: string
          format: email
          description: The email of the individual
        phone:
          type: string
          description: The phone number of the individual
        title:
          type: string
          description: The title of the individual
        is_applicant:
          type: boolean
          description: Whether this individual is the applicant
        is_business_owner:
          type: boolean
          description: Whether this individual is a business owner
        business_ownership_percentage:
          type: number
          description: The percentage of business ownership
        proof_of_address_documents:
          type: array
          items:
            type: object
            properties:
              b64_document:
                type: string
                description: Base64 encoded document content
              file_name:
                type: string
                description: Name of the document file
              source_type:
                type: string
                description: Source type of the document
        source_of_funds_documents:
          type: array
          items:
            type: object
            properties:
              b64_document:
                type: string
                description: Base64 encoded document content
              file_name:
                type: string
                description: Name of the document file
              source_type:
                type: string
                description: Source type of the document
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        API key obtained from your Parcha account settings. Include as Bearer
        token in the Authorization header.

````